Releases   [plain text]


= RubyGems Release History

== Release 0.8.3: Dec 7, 2004

* Added workaround for the null byte in Dir string issue. (see
  http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/121702).
  (Thanks to Mauricio Fernández for the quick response on this one).

* Added workaround for old version of Zlib on windows that caused
  Ruwiki to fail to install. (see
  http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/121770)

* Added workaround for large YAML file issues.  (We dynamically cut
  down the size of the source index YAML file and seem to have worked
  around immediate issues.

* A user specific source index cache can be used when the site-wide
  cache is unwritable (i.e. because you are running as a non-admin).
  This *greatly* speeds up gem commands run in non-admin mode when the
  site-wide cache is out of date.

* The gem command now used an HTTP HEAD command to detect if the
  server's source index needs to be downloaed.

* gem check gemname --test will run unit tests on installed gems that
  have unit tests.

== Release 0.8.1: Sep 14, 2004

* Quick release to capture some bug fixes.

== Release 0.8.0: Sep 12, 2004

* Remove need for library stubs.  Set the RUBYOPT environment variable
  to include "rrubygems", and a normal require will find gem files.
  Continue to use 'require_gem gem_name, version' to specify gem
  versions.
* Deprecated "test_suite_file" gemspec attribute in favor of "test_files" array.
* Generates rdoc by default on installs.
* Adopted tar/gzip file format, thanks to Mauricio Fernandez.
* "gem rdoc" allows generation of rdoc after gem installation (will add a "gem test" 
* Application stubs can now accept an optional parameter of _VERSION_ that will run
  an arbitrary version of the application requested.
* Various bug fixes
* Various platform-independency improvements
* "gem spec --all" displays spec info for all installed version of a given gem.
* Dynamic caching of sources
* Support for user-definable sources on the command line (thanks Assaph Mehr)
* More intelligent support for platform-dependent gems.  Use Platform::CURRENT when
  building a gem to set its platform to the one you're building on.  Installation
  displays a choice of platform-dependent gems, allowing the user to pick.
* Added "gem unpack" for "unpacking" a gem to the current directory

== Release 0.7.0: Jul 9, 2004

* See ChangeLog. 

== Release 0.6.0: Jun 8, 2004
* Collapse output of --search and --list (and gem_server) operations so 
  that each gem is listed only once, with each of its versions listed 
  on the same line.
  
* bin/gem: new --upgrade-all option allows one to upgrade every
  installed gem

* new #required_ruby_version attribute added to gem specification for
  specifying a dependency on which version of ruby the gem needs.
  Format it accepts is the same as the Gem::Version::Requirement
  format:
     spec.required_ruby_version = "> 1.8.0" 

* --install-stub defaults to true, so library stubs are created 

== Release 0.5.0: Jun 6, 2004

* Jim added the ability to specify version constraints to avoid API
  incompatibilities.  This has been the subject of much debate for
  the past couple of months, with many ideas and code contributed by
  Eivind Eklund and Mauricio Fernandez.  The following set of
  assertions shows how it works:

    assert_inadequate("1.3", "~> 1.4")
    assert_adequate(  "1.4", "~> 1.4")
    assert_adequate(  "1.5", "~> 1.4")
    assert_inadequate("2.0", "~> 1.4") # This one is key--the new operator disallows major version number differences.

* Group gem search output when multiple versions exist for a given gem:

    activerecord (0.7.8, 0.7.7, 0.7.6, 0.7.5)
      Implements the ActiveRecord pattern for ORM.

* Add arbitrary RDoc-able files via gemspec (not just Ruby source
  files) for people who have, for example, README.rdoc in their
  distributions.  Add to gemspec via: spec.extra_rdoc_files = ["list",
  "of", "files"].  Ruby files are automatically included.

* Some small bug fixes

  
== Release 0.4.0: May 31, 2004

* Minor bug fixes including Windows compatability issues

== Release 0.3.0: April 30, 2004

* Cleanup of command-line arguments and handling.  Most commands
  accept a --local or --remote modifier.
* Creation of Application Gems (packages that include executable
  programs).  See
  http://rubygems.rubyforge.org/wiki/wiki.pl?DeveloperGuide for
  information on how to use it.
* Basic functionality for installing binary gems from source
  (:extensions property of gem specification holds an array of paths
  to extconf.rb files to be used for compilation)
* Install library "stub" allowing a normal 'require' to work (which then does the rubygems require and 'require_gem'
* --run-tests runs the test suite specified by the "test_suite_file"
  property of a gem specification
  * HTTP Proxy support works.  Rewrite of HTTP code.
  * Unit and functional tests added (see Rakefile).
  * Prompt before remote-installing dependencies during gem installation.
  * Config file for storing preferences for 'gem' command usage.
  * Generally improved error messages (still more work to do)
  * Rearranged gem directory structure for cleanliness.
  
== Release 0.2.0: March 14, 2004

* Initial public release